Bug 161787 - Gnome sound events playback quality is "grainy" as if being constantly interrupted.
Gnome sound events playback quality is "grainy" as if being constantly interr...
Product: Fedora
Classification: Fedora
Component: gnome-audio (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2005-06-27 07:36 EDT by Daniel Hauck
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version: fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-23 06:27:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Hauck 2005-06-27 07:36:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I have installed FC4 on two different machines (one Dell 8600 laptop, another IBM Intellistation E Pro) that seem to use the same sound driver hardware, snd_intel8x0.  In both cases, I have been able to get sound to work without much difficulty (although the laptop suffered from the 'enable external amplifier' problem) and all other sound apps work clearly and flawlessly.  MP3s and video with audio work just as they should.  However, any sound generated by gnome sound events, including sound from GAIM, gnome window/mouse events or shutdown all sound "grainy" and interrupted.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install FC4
2.Enable sound events
3.Play gnome sound samples

Actual Results:  Any sound played through gnome sound events are grainy or interrupted.

Expected Results:  Clear audio sample playback.

Additional info:
Comment 1 Daniel Hauck 2005-06-27 10:49:11 EDT
A solution has been found for my apparently common configuration (Intel sound
device + FC4/Gnome).  In the FedoraForum someone offered the following:

Fix: edit /etc/esd.conf, and add "-r 48000" at the end of the "spawn_options"
line. Then log out and log back in.

Explanation: some sound cards (especially those built into motherboards) require
that you send sound to them at a specific sample rate. esd (GNOME's sound mixer)
apparently doesn't detect this properly. Adding the "-r 48000" forces esd to
send sounds at the right sample rate.

This problem should be fixed somewhere higher up in the chain of installation
events though I'm not sure where it should be.  The fix required that I reboot
rather than log out, however.
Comment 2 Christian Iseli 2007-01-22 05:47:11 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 3 Daniel Hauck 2007-01-22 07:29:00 EST
The problem did not present itself in FC5 or FC6.

Note You need to log in before you can comment on or make changes to this bug.